Gå til hovedinnhold

Retrieve an overview of the buildings owned by an organization

GET 

/companies/building-overview

Organization Building Overview Endpoint

Overview

This API returns an overview of all buildings associated with a given organization, based on its organization number.

It looks up the properties owned by the organization and returns the buildings on those properties, including their building IDs, building numbers, property ID NMAs, and UFS totals. The response can be filtered using the include-building-ids, include-building-numbers, include-property-id-nmas, and include-ufs-totals query parameters to control which fields are included.

The endpoint supports the following query parameters:

  • organization-number: The organization number of the company to fetch building data for. / Organisasjonsnummeret til selskapet man ønsker bygningsdata for.
  • include-building-ids: Whether to include building IDs in the response. / Om bygnings-ID-er skal inkluderes i responsen.
  • include-building-numbers: Whether to include building numbers in the response. / Om bygningsnumre skal inkluderes i responsen.
  • include-property-id-nmas: Whether to include property ID NMAs in the response. / Om eiendoms-ID NMA-er skal inkluderes i responsen.
  • include-ufs-totals: Whether to include UFS totals in the response. / Om totalt bruksareal skal inkluderes i responsen.

Example Request

curl -X 'GET' \
'https://apis.propcloud.no/api/public/companies/building-overview?organization-number=810547472' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY'

Response Description

KeyDescriptionBeskrivelseSource
organizationNumberUnique identifier for the organizationUnik identifikator for organisasjonenPropCloud
buildingCountThe total number of buildings associated with the organizationTotalt antall bygninger tilknyttet organisasjonenPropCloud
buildingsList of buildings associated with the organizationListe over bygninger tilknyttet organisasjonenPropCloud
buildings[].buildingIdUnique identifier for the building. Additions / changes to a building gets a unique building ID but keeps the same building numberUnik identifikator for bygningen. Paabygg / endringer paa bygning faar eget bygningsid, men beholder samme bygningsnummerKartverket
buildings[].buildingNumberUnique identifier for the building. Building number assigned to the building.Unik identifikator for bygningen. Feltet heter bygningsnummer i MatrikkelenKartverket
buildings[].propertyIdNmaUnique identifier for the property, generated by PropCloud based on: city number, ground number, usage number, lease number, and section numberUnik identifikator for eiendommen generert av PropCloud basert paa: kommunenummer, gaardsnummer, bruksnummer, festenummer og seksjonsnummerPropCloud
buildings[].ufsTotalTotal usable floor space in square meters.Totalt bruksareal i kvadratmeter.Kartverket
metaMeta information about the response, reflecting which fields were requestedMetainformasjon om responsen som viser hvilke felter som ble forespurtPropCloud
meta.includeBuildingIdsWhether building IDs are included in the responseOm bygnings-ID-er er inkludert i responsenPropCloud
meta.includeBuildingNumbersWhether building numbers are included in the responseOm bygningsnumre er inkludert i responsenPropCloud
meta.includePropertyIdNmasWhether property ID NMAs are included in the responseOm eiendoms-ID NMA-er er inkludert i responsenPropCloud
meta.includeUfsTotalsWhether UFS totals are included in the responseOm totalt bruksareal er inkludert i responsenPropCloud

Request

Responses

Successful Response